if __Debugger_Loaded then return end
__Debugger_Loaded = true


function sm.checkDev(shape)   -- a '-dev' check by Brent Batch
	return false
	--[[
	if sm.isDev ~= nil then return sm.isDev end
	if lastLoaded == 1 then -- on world init dev check
		sm.isDev = true
		print('set dev mode to: ', sm.isDev)
		return true
	end
	sm.shape.createPart( shape.shapeUuid, sm.vec3.new(705,0,0), sm.quat.identity( ), false, false )
	sm.isDev = DebuggerLoads == 1
	print('set dev mode to: ', sm.isDev)
	return sm.isDev]]
end 

function sm.isMPTeam()  -- an 'is in ModpackTeam' check by Brent Batch
	return true 
end
	
function --mpPrint(...)  -- print that only works for the team.
end

function devPrint(...) -- can't check for dev any more :/
end

local printO = print
function print(...) -- fancy print by TechnologicNick
end


--mpPrint('Loading Libs/Debugger.lua')